- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- DeploymentSpec
- Try it!
Provisions a deployment group.
NOTE: As a first step of this operation, Infra Manager will automatically delete any Deployments that were part of the last successful DeploymentGroupRevision but are no longer included in the current DeploymentGroup definition (e.g., following an deploymentGroups.patch call), along with their actuated resources.
HTTP request
POST https://config.googleapis.com/v1/{name=projects/*/locations/*/deploymentGroups/*}:provision
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The name of the deployment group to provision. Format: 'projects/{projectId}/locations/{location}/deploymentGroups/{deploymentGroup}'. It takes the form Authorization requires the following IAM permission on the specified resource
|
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"deploymentSpecs": {
string: {
object ( |
| Fields | |
|---|---|
deploymentSpecs |
Optional. The deployment specs of the deployment units to be created within the same project and location of the deployment group. The key is the unit ID, and the value is the An object containing a list of |
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
config.googleapis.com/config.deploymentgroups.provision
For more information, see the IAM documentation.
DeploymentSpec
Spec for a deployment to be created.
| JSON representation |
|---|
{
"deploymentId": string,
"deployment": {
object ( |
| Fields | |
|---|---|
deploymentId |
Required. The id of the deployment to be created which doesn't include the project id and location. |
deployment |
Required. The deployment to be created. |